# Tarfile created using git
# git clone git://anongit.freedesktop.org/geoclue
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
# tar xf ~/%{name}-%{version}-%{gitdate}.tar.bz2
# rm -rf ~/%{name}-%{version}/data/appicons
# tar cjf ~/%{name}-%{version}-%{gitdate}.tar.bz2 %{name}-%{version}

%define gitdate 20100103
%define git_version bc65c88
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2

Name:          moblin-app-installer
Version:       0.4.0
Release:       0.9%{?dist}
Summary:       Moblin Application Installer

Group:         Applications/System
License:       GPLv2
URL:           http://www.moblin.org/
# Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Source0:       %{tarfile}
Patch0:        mai-applist.patch
Patch1:        0001-Fix-build-when-not-using-PackageKit-glib-such-as-wit.patch
Patch2:        mai-fixPK.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-gtk-devel
BuildRequires: libxml2-devel
BuildRequires: nbtk-devel
BuildRequires: PackageKit-glib-devel
BuildRequires: rpm-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils

# Require these because the git tarball doesn't have the configure built
BuildRequires: gnome-common
BuildRequires: libtool

Requires: gnome-packagekit

%description
The Moblin Application Installer is a client application that is
launched from the myzone panel on your Moblin netbook that provides
a logically categorized list of applications that you can choose to install.

%prep
%setup -q
%patch0 -p1 -b .applist
%patch1 -p1 -b .newPK
%patch2 -p1 -b .fixPK

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# Remove irrelevant repos
rm -rf %{buildroot}/%{_sysconfdir}/yum.repos.d

# Remove the app icons, we use the same generic package icon as gnome-packagekit does
rm -rf %{buildroot}/%{_datadir}/%{name}/appicons
ln -s %{_datadir}/gnome-packagekit/icons/hicolor/48x48/status/ %{buildroot}/%{_datadir}/%{name}/appicons

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README TODO
%{_bindir}/moblin-app-installer
%{_bindir}/test-*
%{_datadir}/applications/moblin-app-installer.desktop
%{_datadir}/moblin-app-installer

%changelog
* Sat Mar 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.9
- bump build for new package kit

* Fri Mar 19 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.8
- bump build for new package kit

* Tue Jan 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.7
- Fix build with PK 0.6, patch courtesy of Richard Hughes

* Tue Jan 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.6
- Bump release

* Tue Jan 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.5
- First attempt at PK-0.6 support

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.4
- Changes for the current applist
- remove appicons so we don't ship patented proprietary icons

* Sat Jan  2 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.3
- Updates for review request

* Thu Dec 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.2
- Add missed deps

* Thu Dec 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.0-0.1
- Initial packaging
